Skip to main content
GET
Get journal entry

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

invoicing_entity_id
string

Require the entry to belong to this invoicing entity.

Response

200 - application/json
id
string
required

Unique journal-entry identifier.

entry_number
string
required

Human-readable journal-entry number.

posted_at
string<date> | null
required

Timestamp when the entry was posted.

entry_date_at
string<date> | null
required

Accounting timestamp of the entry.

original_currency
enum<string>
required

ISO 4217 original currency.

Available options:
EUR,
AED,
AFN,
XCD,
ALL,
AMD,
AOA,
ARS,
USD,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
XOF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
NOK,
BWP,
BYR,
BZD,
CAD,
CDF,
XAF,
CHF,
NZD,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
ANG,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
MAD,
ERN,
ETB,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRO,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
XPF,
NGN,
NIO,
NPR,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STD,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
UYU,
UZS,
VEF,
VND,
VUV,
WST,
YER,
ZAR,
ZMW,
ZWL
Example:

"EUR"

original_currency_exchange_rate
string
required

Exchange rate into ledger currency.

original_currency_exchange_rate_date
string<date> | null
required

Date of the exchange rate.

amount
string
required

Total amount in ledger currency.

amount_in_original_currency
string
required

Total amount in the original currency.

description
string | null
required

Optional journal-entry description.

status
enum<string>
required

Journal-entry status.

Available options:
draft,
posted
origin
enum<string>
required

Automatic or manual entry origin.

Available options:
auto,
manual
invoicing_entity_id
string
required

Owning invoicing entity identifier.

ledger_id
string
required

Owning ledger identifier.

invoice_id
string | null
required

Related invoice identifier.

customer_id
string | null
required

Related customer identifier.

invoice_line_item_id
string | null
required

Related invoice line-item identifier.

subscription_id
string | null
required

Related subscription identifier.

transaction_id
string | null
required

Related payment transaction identifier.

reversal_for_entry_id
string | null
required

Original entry identifier when this is a reversal.

lines
object[]
required

Debit and credit lines in the entry.

created_at
string<date> | null
required

Timestamp when the entry was created.

updated_at
string<date> | null
required

Timestamp when the entry was last updated.

schedule_id
string | null

Revenue-recognition schedule created with a manual entry.